Index: inc/public/class.dc.template.php
===================================================================
--- inc/public/class.dc.template.php	(revision 779)
+++ inc/public/class.dc.template.php	(revision 833)
@@ -572,5 +572,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","Archives", $attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Archives","method" => "blog::getDates"), 
+			$attr,$content);
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -680,5 +682,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","ArchiveNext", $attr, $content);
+		$res .= $this->core->callBehavior("templatePrepareParams",
+			array("tag" => "ArchiveNext","method" => "blog::getDates"), 
+			$attr, $content);
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -717,5 +721,7 @@
 		
 		$res = "<?php\n";
-		$res .= $this->core->callBehavior("templatePrepareParams","ArchivePrevious", $attr, $content);
+		$res .= $this->core->callBehavior("templatePrepareParams",
+			array("tag" => "ArchivePrevious","method" => "blog::getDates"), 
+			$attr, $content);
 		$res .= $p;
 		$res .= '$_ctx->archives = $core->blog->getDates($params); unset($params);'."\n";
@@ -940,5 +946,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","Categories", $attr, $content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Categories","method" => "blog::getCategories"), 
+			$attr,$content);
 		$res .= '$_ctx->categories = $core->blog->getCategories($params);'."\n";
 		$res .= "?>\n";
@@ -1210,5 +1218,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","Entries",$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Entries","method" => "blog::getPosts"), 
+			$attr,$content);
 		$res .= '$_ctx->post_params = $params;'."\n";
 		$res .= '$_ctx->posts = $core->blog->getPosts($params); unset($params);'."\n";
@@ -1880,5 +1890,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","Languages",$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Languages","method" => "blog::getLangs"), 
+			$attr,$content);
 		$res .= '$_ctx->langs = $core->blog->getLangs($params); unset($params);'."\n";
 		$res .= "?>\n";
@@ -1955,4 +1967,7 @@
 		$p = "<?php\n";
 		$p .= '$params = $_ctx->post_params;'."\n";
+		$p .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Pagination","method" => "blog::getPosts"), 
+			$attr,$content);
 		$p .= '$_ctx->pagination = $core->blog->getPosts($params,true); unset($params);'."\n";
 		$p .= "?>\n";
@@ -1964,5 +1979,4 @@
 		return
 			$p.
-			$this->core->callBehavior("templatePrepareParams","Pagination",$attr,$content).
 			'<?php if ($_ctx->pagination->f(0) > $_ctx->posts->count()) : ?>'.
 			$content.
@@ -2104,5 +2118,7 @@
 		
 		$res = "<?php\n";
-		$res .= $this->core->callBehavior("templatePrepareParams","Comments",$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Comments","method" => "blog::getComments"), 
+			$attr,$content);
 		$res .= $p;
 		$res .= '$_ctx->comments = $core->blog->getComments($params); unset($params);'."\n";
@@ -2704,5 +2720,7 @@
 		$res = "<?php\n";
 		$res .= $p;
-		$res .= $this->core->callBehavior("templatePrepareParams","Pings",$attr,$content);
+		$res .= $this->core->callBehavior("templatePrepareParams", 
+			array("tag" => "Pings","method" => "blog::getComments"), 
+			$attr,$content);
 		$res .= '$_ctx->pings = $core->blog->getComments($params); unset($params);'."\n";
 		$res .= "if (\$_ctx->posts !== null) { \$core->blog->withoutPassword(true);}\n";
